# Method: sharedAlbums.list

- [HTTP request](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.request_body)
- [Response body](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.response_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.ListSharedAlbumsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#body.aspect)
- [Try it!](https://developers.google.com/photos/library/legacy/reference/rest/v1/sharedAlbums/list#try-it)

Lists all shared albums available in the Sharing tab of the user's Google Photos app.

### HTTP request

`GET https://photoslibrary.googleapis.com/v1/sharedAlbums`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of albums to return in the response. Fewer albums might be returned than the specified number. The default `pageSize` is 20, the maximum is 50. |
| `pageToken` | `string` A continuation token to get the next page of the results. Adding this to the request returns the rows after the `pageToken`. The `pageToken` should be the value returned in the `nextPageToken` parameter in the response to the `listSharedAlbums` request. |
| `excludeNonAppCreatedData` | `boolean` If set, the results exclude media items that were not created by this app. Defaults to false (all albums are returned). This field is ignored if the photoslibrary.readonly.appcreateddata scope is used. |

### Request body

The request body must be empty.

### Response body

List of shared albums requested.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sharedAlbums": [ { object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sharedAlbums[]` | ``object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`)`` Output only. List of shared albums. |
| `nextPageToken` | `string` Output only. Token to use to get the next set of shared albums. Populated if there are more shared albums to retrieve for this request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/photoslibrary`
- `
  https://www.googleapis.com/auth/photoslibrary.readonly`
- `
  https://www.googleapis.com/auth/photoslibrary.readonly.appcreateddata`